#include"Vector.hh"
#include <cstdlib>

int main(){
    /*Vector<int> a {7};
    a[0]=0;
    a[1]=5;a[2]=2;a[3]=5;
    a[4]=7;
    a[5]=5;
    a[6]=0;
    std::pair<int,int> b = a.tri_partition(a,0,a.size(),3);

    std::cout<<a<<"\n";
    std::cout<<b.first;
    std::cout<<b.second;*/

    //create shuffled sequence of length 142
    Vector<int> v {142};

    v[0]=66;
v[1]=119;
v[2]=126;
v[3]=90;
v[4]=117;
v[5]=130;
v[6]=142;
v[7]=6;
v[8]=67;
v[9]=103;
v[10]=64;
v[11]=82;
v[12]=87;
v[13]=128;
v[14]=71;
v[15]=93;
v[16]=58;
v[17]=109;
v[18]=120;
v[19]=131;
v[20]=61;
v[21]=74;
v[22]=139;
v[23]=62;
v[24]=57;
v[25]=83;
v[26]=141;
v[27]=28;
v[28]=46;
v[29]=32;
v[30]=115;
v[31]=4;
v[32]=100;
v[33]=25;
v[34]=29;
v[35]=60;
v[36]=53;
v[37]=72;
v[38]=102;
v[39]=81;
v[40]=104;
v[41]=12;
v[42]=35;
v[43]=36;
v[44]=121;
v[45]=43;
v[46]=111;
v[47]=125;
v[48]=78;
v[49]=17;
v[50]=47;
v[51]=107;
v[52]=45;
v[53]=114;
v[54]=79;
v[55]=86;
v[56]=137;
v[57]=27;
v[58]=14;
v[59]=15;
v[60]=88;
v[61]=18;
v[62]=41;
v[63]=63;
v[64]=24;
v[65]=7;
v[66]=84;
v[67]=65;
v[68]=140;
v[69]=95;
v[70]=16;
v[71]=101;
v[72]=135;
v[73]=124;
v[74]=54;
v[75]=8;
v[76]=10;
v[77]=96;
v[78]=92;
v[79]=34;
v[80]=133;
v[81]=97;
v[82]=94;
v[83]=13;
v[84]=2;
v[85]=3;
v[86]=113;
v[87]=122;
v[88]=110;
v[89]=70;
v[90]=80;
v[91]=22;
v[92]=20;
v[93]=89;
v[94]=49;
v[95]=129;
v[96]=38;
v[97]=19;
v[98]=40;
v[99]=116;
v[100]=98;
v[101]=134;
v[102]=138;
v[103]=44;
v[104]=68;
v[105]=99;
v[106]=105;
v[107]=69;
v[108]=48;
v[109]=21;
v[110]=75;
v[111]=56;
v[112]=136;
v[113]=76;
v[114]=39;
v[115]=37;
v[116]=77;
v[117]=23;
v[118]=11;
v[119]=9;
v[120]=30;
v[121]=73;
v[122]=55;
v[123]=50;
v[124]=51;
v[125]=59;
v[126]=26;
v[127]=112;
v[128]=85;
v[129]=52;
v[130]=91;
v[131]=33;
v[132]=127;
v[133]=5;
v[134]=132;
v[135]=1;
v[136]=31;
v[137]=118;
v[138]=123;
v[139]=42;
v[140]=108;
v[141]=106;


    std::cout<<v;

    int j = v.select(77);

    std::cout<<"\n"<<j;
}